Namespaces
IWORKTabularInfoElement.cpp File Reference
`#include "IWORKTabularInfoElement.h"`
`#include <cassert>`
`#include <ctime>`
`#include <memory>`
`#include <boost/lexical_cast.hpp>`
`#include "libetonyek_xml.h"`
`#include "IWORKCollector.h"`
`#include "IWORKDictionary.h"`
`#include "IWORKFoElement.h"`
`#include "IWORKGeometryElement.h"`
`#include "IWORKProperties.h"`
`#include "IWORKRefContext.h"`
`#include "IWORKTable.h"`
`#include "IWORKText.h"`
`#include "IWORKTextBodyElement.h"`
`#include "IWORKToken.h"`
`#include "IWORKXMLParserState.h"`
`#include "IWORKXMLContextBase.h"`
`#include "IWORKStyle.h"`

## Namespaces
| libetonyek

## Variable Documentation

## ◆ m_contentMap

IWORKContentMap_t m_contentMap
| private

## ◆ m_footerRows

boost::optional<int> m_footerRows
| private

## ◆ m_gridlineIndex

optional<unsigned> m_gridlineIndex
| private

## ◆ m_gridLines

IWORKGridLineMap_t& m_gridLines
| private

## ◆ m_headerColumns

boost::optional<int> m_headerColumns
| private

## ◆ m_headerRows

boost::optional<int> m_headerRows
| private

## ◆ m_id

const boost::optional<std::string>& m_id
| private

Referenced by libetonyek::IWAParser::ObjectMessage::~ObjectMessage().

## ◆ m_line

IWORKGridLine_t m_line
| private

## ◆ m_maxLines

unsigned m_maxLines
| private

## ◆ m_ref

boost::optional<ID_t> m_ref
| protected

## ◆ m_startIndex

optional<unsigned> m_startIndex
| private

## ◆ m_stopIndex

optional<unsigned> m_stopIndex
| private

## ◆ m_styleRef

boost::optional<ID_t> m_styleRef
| private

## ◆ m_tableId

boost::optional<string> m_tableId
| private

## ◆ m_tableName

boost::optional<string> m_tableName
| private